Subject: [manet] Olsr reference papers

From: manet user <[email-masked]>
Date: Thu, 20 May 2004 14:58:26 -0700 (PDT)

Hi,
 
I have been trying to implement OLSR according to RFC 3626. I am looking for any generally available reference papers that can help towards conformance of OLSR implementation. Any help (suggestions) will be greatly appreciated.
 
With some initial experiments, I have observed that being a proactive protocol, the control overhead in OLSR is lot more than a reactive protocol. The main source of overhead is TC message flooding throughout the network every 5 seconds. In a 50 node network (1000 x 1000 m), 35-38 nodes are chosen as MPR. Each of these nodes generate TC msgs, that are re-broadcasted 35-38 times by every other MPR, leading to aprox. 1200 control packets broadcast. The overhead between OLSR and other reactive protocol becomes comparable with increased number of sources (while making source traffic sporadic than one time start).
 
Controlled flooding through MPR is manily effective in a dense network, but with dense networks, interference kicks in. This causes mesg loss (TC/Hello) and makes route tables unstable. I am not sure, if my observations of this trade-of between controlled flooding & routing table stability and control overhead comparisons are correct.
 
Any comments on these observations will be helpful to understand the correctness of the implementation. 
 
Thanks in advance,
-MU 

---------------------------------
Do you Yahoo!?
Yahoo! Domains - Claim yours for only $14.70/year